Leiningen 2.9.1 버전 사용,
$ lein uberwar 컴파일 시 발생 되는 오류에 대해서 설명한다.

발생 문법 오류

lang.Compiler$CompilerException: Syntax error macroexpanding clojure.core/fn at (clojure/core/unify.clj:83:18).

해결책

lein dependency 라이브러리들을 버전업해준다.

ex)

...
  [lein-uberwar "0.2.0"] => [lein-uberwar "0.2.1"]
...

참고